using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Publishmentation
{
    public partial class changePassword : Form
    {
        public changePassword()
        {
            InitializeComponent();
        }
        FormCollection frm = new FormCollection();
        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox3.Text!="" && (textBox3.Text == textBox4.Text) )
            {
                LoginClass login = new LoginClass();
                if (login.loginVerification(textBox1.Text, textBox2.Text))
                {
                    Connector connection = new Connector();
                    connection.updateCommand("update userTable set password='" + textBox3.Text
                        + "' where userName='" + textBox1.Text + "'");
                    MessageBox.Show("!تغییر رمز با موفقیت انجام شد", "اعمال تغییرات", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    this.Close();
                    return;
                }
                else
                {
                    MessageBox.Show("!نام کاربری یا کلمه عبور قبلی صحیح نمی باشد", "خطا در ورود اطلاعات", MessageBoxButtons.OK, MessageBoxIcon.Error);
                    return;
                }
            }
            else
            {
                MessageBox.Show("!رمز عبورهای جدید درست نمی باشند", "خطا در ورود اطلاعات", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            
            
        }

        private void changePassword_FormClosed(object sender, FormClosedEventArgs e)
        {
            frm["Form1"].Enabled = true;
            frm["Form1"].Show();
            frm["Form1"].Focus();
        }

        private void changePassword_Load(object sender, EventArgs e)
        {
            frm = Application.OpenForms;
        }

        private void label2_Click(object sender, EventArgs e)
        {

        }
    }
}